org.eclipse.eef.core.api

## Class EEFViewFactory

- java.lang.Object
- - org.eclipse.eef.core.api.EEFViewFactory

    public class EEFViewFactory
    extends java.lang.Object

The factory used to create the `EEFView`.

### Constructor Summary

Constructors
Constructor and Description
`EEFViewFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EEFView` `createEEFView(EEFViewDescription eefViewDescription, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter contextAdapter, IEEFDomainClassTester domainClassTester, InputDescriptor input)` Creates a new `EEFView` from the given `EEFViewDescription` and the `IEEFContext`.
`EEFView` `createEEFView(EEFViewDescription eefViewDescription, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter contextAdapter, InputDescriptor input)` Creates a new `EEFView` from the given `EEFViewDescription` and the `IEEFContext`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFViewFactory

    public EEFViewFactory()

### Method Detail

#### createEEFView

    public EEFView createEEFView(EEFViewDescription eefViewDescription,
                                 org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                 org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                 EditingContextAdapter contextAdapter,
                                 InputDescriptor input)

Creates a new `EEFView` from the given `EEFViewDescription` and the `IEEFContext`.

Parameters:
  `eefViewDescription` - The description of the `EEFView`
  `variableManager` - The variable manager
  `interpreter` - The `IInterpreter` to use for dynamic expressions
  `contextAdapter` - the editing context adapter.
  `input` - The input
Returns:
  The `EEFView` fully initialized

#### createEEFView

    public EEFView createEEFView(EEFViewDescription eefViewDescription,
                                 org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                 org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                 EditingContextAdapter contextAdapter,
                                 IEEFDomainClassTester domainClassTester,
                                 InputDescriptor input)

Creates a new `EEFView` from the given `EEFViewDescription` and the `IEEFContext`.

Parameters:
  `eefViewDescription` - The description of the `EEFView`
  `variableManager` - The variable manager
  `interpreter` - The `IInterpreter` to use for dynamic expressions
  `contextAdapter` - the editing context adapter.
  `domainClassTester` - The domain class tester
  `input` - The input
Returns:
  The `EEFView` fully initialized